Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.selector
Class AbstractSelector

    java.lang.Object
      org.drools.planner.core.localsearch.decider.selector.AbstractSelector

All Implemented Interfaces:
  DeciderAware, Selector, LocalSearchSolverLifecycleListener

Direct Known Subclasses:
  CompositeSelector, MoveFactorySelector, TopListSelector

    public abstract class AbstractSelector

extends Object
implements Selector

Abstract superclass for `Selector`.

See Also:
  `Selector`

Field Summary
`protected Decider` | `decider`
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`AbstractSelector()`

Method Summary
`void` | `beforeDeciding(LocalSearchStepScope localSearchStepScope)`
`void` | `setDecider(Decider decider)`
`void` | `solvingEnded(LocalSearchSolverScope localSearchSolverScope)`
`void` | `solvingStarted(LocalSearchSolverScope localSearchSolverScope)`
`void` | `stepDecided(LocalSearchStepScope localSearchStepScope)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.localsearch.decider.selector.Selector
`moveIterator`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### decider

    protected Decider decider

Constructor Detail

### AbstractSelector

    public AbstractSelector()

Method Detail

### setDecider

    public void setDecider(Decider decider)

  Specified by:
    `setDecider` in interface `DeciderAware`

### solvingStarted

    public void solvingStarted(LocalSearchSolverScope localSearchSolverScope)

  Specified by:
    `solvingStarted` in interface `LocalSearchSolverLifecycleListener`

### beforeDeciding

    public void beforeDeciding(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `beforeDeciding` in interface `LocalSearchSolverLifecycleListener`

### stepDecided

    public void stepDecided(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepDecided` in interface `LocalSearchSolverLifecycleListener`

### stepTaken

    public void stepTaken(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepTaken` in interface `LocalSearchSolverLifecycleListener`

### solvingEnded

    public void solvingEnded(LocalSearchSolverScope localSearchSolverScope)

  Specified by:
    `solvingEnded` in interface `LocalSearchSolverLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.